| Package
| Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD DETAIL: FIELD | CONSTR | METHOD

## Class SCException

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Exception
                  |
                  +--SCException

All Implemented Interfaces:
  java.io.Serializable

public class SCException
extends java.lang.Exception

See Also:
  Serialized Form

Field Summary
`private de.dhbwstuttgart.typeinference.Menge` | `scerrors`

Fields inherited from class java.lang.Exception
``

Fields inherited from class java.lang.Throwable
``

Constructor Summary
`SCException()`

Method Summary
`void` | `add_classexceptions(SCClassException ex)`
`void` | `fehlerausgabe()`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### scerrors

    private de.dhbwstuttgart.typeinference.Menge scerrors

Constructor Detail

### SCException

    public SCException()

Method Detail

### add_classexceptions

    public void add_classexceptions(SCClassException ex)

### fehlerausgabe

    public void fehlerausgabe()

| Package
| Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD DETAIL: FIELD | CONSTR | METHOD